# nodechron CLI

install NodeJs for your computer, by following [these instructions.](https://nodejs.org/)

Once NodeJs is installed, run from your Terminal:
    
    npm install -g nodechron

probably you may need to preceed the previous command with sudo if you are on Mac or Linux.

Then type:

    nodechron


# Description

The NodeChron CLI is a helpful way to browse episodes, moments, symbols and challenges for The Node Chronicles interactive comic book series, the first transmedia comic involving real technology, virtual hackathons, contests and prizes.

Be a real world super hero as you participate in the human technology journey.

# Supported Commands in this version


List episodes:

    nodechron episodes list


Open an episode:

    nodechron episodes open 1


List moments:

    nodechron moments list


Open a moment:

    nodechron moments open 1


List symbols:

    nodechron symbols list


Open a symbol:

    nodechron symbols open 1


List challenges:

    nodechron challenges list


Open a challenge:

    nodechron challenges open 1



# Other commands

Print the help message:

    nodechron help


Print the nodechron npm package version:

    nodechron version



# How to deploy a new version of this package

Edit the package.json file with the new version right there:
```
  "name": "nodechron",
  "version": "0.0.8",  <-there
```

then:

    npm publish --access public
